| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::PlaygroundPoint Struct Reference

`#include <widgets.h>`

## Public Member Functions
| PlaygroundPoint (Point default_position, Scalar p_radius, Color p_color)
| PlaygroundPoint (const PlaygroundPoint &)=delete
| PlaygroundPoint (PlaygroundPoint &&)=delete
PlaygroundPoint & | operator= (const PlaygroundPoint &)=delete

## Public Attributes
Point | position
Point | reset_position
bool | dragging = false
std::optional< Point > | prev_mouse_pos
Scalar | radius
Color | color

## Detailed Description

Definition at line 17 of file widgets.h.

## Constructor & Destructor Documentation

## ◆ PlaygroundPoint() [1/3]

impeller::PlaygroundPoint::PlaygroundPoint | ( | Point | default_position,
|  | Scalar | p_radius,
|  | Color | p_color
| ) |  |
| inline

Definition at line 18 of file widgets.h.

19 : position(default_position),
20 reset_position(default_position),
21 radius(p_radius),
22 color(p_color) {}

## ◆ PlaygroundPoint() [2/3]

impeller::PlaygroundPoint::PlaygroundPoint | ( | const PlaygroundPoint & |  | ) |
| delete

## ◆ PlaygroundPoint() [3/3]

impeller::PlaygroundPoint::PlaygroundPoint | ( | PlaygroundPoint && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

PlaygroundPoint& impeller::PlaygroundPoint::operator= | ( | const PlaygroundPoint & |  | ) |
| delete

## Member Data Documentation

## ◆ color

Color impeller::PlaygroundPoint::color

Definition at line 28 of file widgets.h.

Referenced by impeller::DrawPlaygroundLine(), and impeller::DrawPlaygroundPoint().

## ◆ dragging

bool impeller::PlaygroundPoint::dragging = false

Definition at line 25 of file widgets.h.

Referenced by impeller::DrawPlaygroundPoint().

## ◆ position

Point impeller::PlaygroundPoint::position

Definition at line 23 of file widgets.h.

Referenced by impeller::DrawPlaygroundPoint().

## ◆ prev_mouse_pos

std::optional<Point> impeller::PlaygroundPoint::prev_mouse_pos

Definition at line 26 of file widgets.h.

Referenced by impeller::DrawPlaygroundPoint().

## ◆ radius

Scalar impeller::PlaygroundPoint::radius

Definition at line 27 of file widgets.h.

Referenced by impeller::DrawPlaygroundLine(), and impeller::DrawPlaygroundPoint().

## ◆ reset_position

Point impeller::PlaygroundPoint::reset_position

Definition at line 24 of file widgets.h.

Referenced by impeller::DrawPlaygroundPoint().

The documentation for this struct was generated from the following file:

- impeller/playground/widgets.h

impeller::PlaygroundPoint::reset_position
Point reset_position
Definition: widgets.h:24
impeller::PlaygroundPoint::position
Point position
Definition: widgets.h:23
impeller::PlaygroundPoint::color
Color color
Definition: widgets.h:28
impeller::PlaygroundPoint::radius
Scalar radius
Definition: widgets.h:27